package pps.core.middle.service;

import pps.core.middle.entity.StationMappingEnt;
import pps.core.middle.mapper.StationMappingMapper;
import pps.core.middle.service.data.station_mapping.GetStationMappingInput;
import pps.core.middle.service.data.station_mapping.GetStationMappingOutput;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.data.XSingleResult;
import xstartup.feature.api.annotation.XApiAnonymous;
import xstartup.feature.api.annotation.XApiGet;

@XService
public class StationMappingService {
    @XApiAnonymous
    @XApiGet(anonymous = true)
    public XSingleResult<GetStationMappingOutput> getStationMapping(XContext context, GetStationMappingInput input) {
        StationMappingMapper mapper = context.getBean(StationMappingMapper.class);
        StationMappingEnt stationMappingEnt = mapper.selectById(1);
        return XSingleResult.success();
    }
}
